% --------------------------------------------------------------
% This is all preamble stuff that you don't have to worry about.
% Head down to where it says "Start here"
% --------------------------------------------------------------
 % !TeX spellcheck = en_GB 
 
\documentclass[12pt]{article}
 
\usepackage[margin=1in]{geometry} 
\usepackage{amsmath,amsthm,amssymb}
 
\newcommand{\N}{\mathbb{N}}
\newcommand{\Z}{\mathbb{Z}}
 
\newenvironment{theorem}[2][Theorem]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{lemma}[2][Lemma]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{exercise}[2][Exercise]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{reflection}[2][Reflection]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{proposition}[2][Proposition]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
\newenvironment{corollary}[2][Corollary]{\begin{trivlist}
\item[\hskip \labelsep {\bfseries #1}\hskip \labelsep {\bfseries #2.}]}{\end{trivlist}}
 
\begin{document}
 
% --------------------------------------------------------------
%                         Start here
% --------------------------------------------------------------
 
%\renewcommand{\qedsymbol}{\filledbox}
 
\title{Exercise Sheet 2}%replace X with the appropriate number
\author{Alexander Kojen, Waldemar Voos\\ %replace with your name
Real-Time Operating
Systems Design and Implementation} %if necessary, replace with your course title
 
\maketitle
 
\begin{theorem}{2.1} %You can use theorem, proposition, exercise, or reflection here.  Modify x.yz to be whatever number you are proving
 Loading Kernel Image Over UART.
\end{theorem}

\begin{itemize}
	\item UART is a serial communication interface for the serial port. It is implemented as a circuit or a building block.
	\item Neues item.
	
\end{itemize}

\begin{theorem}{2.2} %You can use theorem, proposition, exercise, or reflection here.  Modify x.yz to be whatever number you are proving
	Task Management
\end{theorem}
\begin{itemize}
	\item The default tick rate is 1000 Hz or 1ms. It can be changed with \text{configTICK\_RATE\_HZ} inside the FreeRTOSConfig.h
	\item With vTaskDelay() you can provide the time period (in ticks) after which the device will be woken from delay while with vTaskDelayuntil() the provided parameter indicates the time the device should be woken at
\end{itemize}
 
%\begin{proof}
%Blah, blah, blah.  Here is an example of the \texttt{align} environment:
%%Note 1: The * tells LaTeX not to number the lines.  If you remove the *, be sure to remove it below, too.
%%Note 2: Inside the align environment, you do not want to use $-signs.  The reason for this is that this is already a math environment. This is why we have to include \text{} around any text inside the align environment.
%\begin{align*}
%\sum_{i=1}^{k+1}i & = \left(\sum_{i=1}^{k}i\right) +(k+1)\\ 
%& = \frac{k(k+1)}{2}+k+1 & (\text{by inductive hypothesis})\\
%& = \frac{k(k+1)+2(k+1)}{2}\\
%& = \frac{(k+1)(k+2)}{2}\\
%& = \frac{(k+1)((k+1)+1)}{2}.
%\end{align*}
%\end{proof}
% 
%\begin{proposition}{x.yz}
%Let $n\in \Z$.  
%\end{proposition}
% 
%\begin{proof}[Disproof]%Whatever you put in the square brackets will be the label for the block of text to follow in the proof environment.
%Blah, blah, blah.  I'm so smart.
%\end{proof}
 
% --------------------------------------------------------------
%     You don't have to mess with anything below this line.
% --------------------------------------------------------------
 
\end{document}
